Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Port

    com.ericsson.otp.ic.Port

public final class Port

Port class mapps the built-in erlang type port, a process port.

Constructor Summary
`Port(com.ericsson.otp.erlang.OtpInputStream buf)`
`Port(java.lang.String node, int id, int creation)`

Method Summary
`boolean` | `equal(Port _port)` Comparisson method for Port.

Constructor Detail

### Port

    public Port(com.ericsson.otp.erlang.OtpInputStream buf)
         throws com.ericsson.otp.erlang.OtpErlangDecodeException

### Port

    public Port(java.lang.String node,
                int id,
                int creation)

Method Detail

### equal

    public boolean equal(Port _port)

  Comparisson method for Port.
  Returns:
    true if the input Port value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD